
CUR_DIR=$(shell pwd)

#directory with dictionary source
export UTT_DIC_SRC_HOME=${CUR_DIR}/src
#directory with configuration files
export UTT_DIC_CONF_HOME=${CUR_DIR}/conf
#directory where compiled dictionaries will be placed
export UTT_DIC_BIN=$(CUR_DIR)/dic
#directory where distribution will be placed
export UTT_DIC_OUTPUT=${CUR_DIR}

export LANG_MODULES=pl_PL.ISO-8852-2 pl_PL.UTF-8

# path to dictionary compiler
DIC_COMPILER=../app/src/compiledic/compiledic



.PHONY: compile
compile:
	#$DIC_COMPILER ...
	


.PHONY: distribute
distribute: compile dist_tarball
	@echo "Distribution ready!"
	
	
.PHONY: dist_tarball
dist_tarball:
	cd dist && make tarball; cd ${CUR_DIR};
	
	
.PHONY: dist_tarball_pl_PL.ISO-8859-2
dist_tarball:
	export DIC_LANG=pl_PL.ISO-8859-2 && \
	cd dist && make tarball; cd ${CUR_DIR};
	
